# $Id: pe-rubygem-gpgme.spec 1349 2013-11-02 17:27:28Z rpmbuild $
# repo: RE
# restrictions: el6

%global p_vendor         pe
%global _name            rubygem-%{gem_name}
%global gem_name         gpgme

%if 0%{?p_vendor:1}
  %global _orig_prefix %{_prefix}
  %global name_prefix  %{p_vendor}-

  %define _lib lib 

  # Override _prefix last, so we can get the _real_* locations.
  %define _prefix /opt/puppet
  %define _libdir %{_prefix}/lib
%endif

%global gemdir           %(PATH=/opt/puppet/bin:$PATH ruby -e 'puts Gem::dir' 2>/dev/null)
%global ruby_sitelib     %(PATH=/opt/puppet/bin:$PATH ruby -e "puts RbConfig::CONFIG['sitelibdir']")
%global ruby_sitearch    %(PATH=/opt/puppet/bin:$PATH ruby -e "puts RbConfig::CONFIG['sitearchdir']")
%global geminstdir  %{gemdir}/gems/%{gem_name}-%{version}

# 11503 -- Don't provide un-namespaced libraries inside rpm database
AutoReqProv: 0

Summary:    Ruby binding of GPGME
Name:       pe-rubygem-%{gem_name}
Version:    2.0.2
Release:    %RErelease 2
Group:      Development/Languages
License:    LGPLv2.1+
URL:        http://github.com/ueno/ruby-gpgme
Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem
Patch0:     gpgme-2.0.1.diff

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-%(id -un)

BuildRequires:  %{?name_prefix}ruby
BuildRequires:  %{?name_prefix}rubygems
BuildRequires:  gnupg
#BuildRequires:  gnupg2-smime
BuildRequires:  libassuan-devel
BuildRequires:  libgpg-error-devel
BuildRequires:  gpgme-devel
BuildRequires:  rpm-macros-razorsedge

Requires:   %{?name_prefix}ruby
Requires:   %{?name_prefix}rubygems

%description
Ruby-GPGME is a Ruby language binding of GPGME (GnuPG Made Easy). GnuPG Made
Easy (GPGME) is a library designed to make access to GnuPG easier for
applications. It provides a High-Level Crypto API for encryption, decryption,
signing, signature verification, and key management.

%prep
export PATH=/opt/puppet/bin:$PATH
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%patch0 -p1

%build
export PATH=/opt/puppet/bin:$PATH
gem build %{gem_name}.gemspec
%{__mkdir_p} .%{gemdir}
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
gem install --local --install-dir .%{gemdir} \
            -V \
            --force %{gem_name}-%{version}.gem

%install
export PATH=/opt/puppet/bin:$PATH
%{__mkdir_p} %{buildroot}%{gemdir}
%{__cp} -a .%{gemdir}/* \
        %{buildroot}%{gemdir}/

chmod -R g-w %{buildroot}%{geminstdir}

# move arch dependent files to %%ruby_sitearch
%{__mkdir_p} %{buildroot}%{ruby_sitearch}
%{__mv} %{buildroot}%{geminstdir}/lib/*.so %{buildroot}%{ruby_sitearch}/

# Remove the binary extension sources and build leftovers.
%{__rm} -rf %{buildroot}%{geminstdir}/ext
#%{__rm} -rf %{buildroot}%{geminstdir}/examples
#%{__rm} -rf %{buildroot}%{geminstdir}/test
%{__rm} -rf %{buildroot}%{geminstdir}/.require_paths

# remove all shebang
for f in $(find %{buildroot}%{geminstdir} -name \*.rb)
do
    sed -i -e '/^#!/d' $f
    chmod 0644 $f
done

# Get rid of lots o doc
%{__rm} -rf %{buildroot}%{geminstdir}/Rakefile
%{__rm} -rf %{buildroot}%{geminstdir}/.gemtest
%{__rm} -rf %{buildroot}%{gemdir}/doc/%{gem_name}*

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root, root,-)
%{gemdir}/gems/%{gem_name}-%{version}/
%{gemdir}/cache/%{gem_name}-%{version}.gem
%{gemdir}/specifications/%{gem_name}-%{version}.gemspec
%{ruby_sitearch}/%{gem_name}*


%changelog
* Fri Nov 01 2013 RazorsEdge Packaging <rpmpackaging@razorsedge.org> - 2.0.2-2
- Switch to using shared libraries.

* Wed Oct 16 2013 RazorsEdge Packaging <rpmpackaging@razorsedge.org> - 2.0.2-1
- First build.

